## distro-release-notifier 20240919+p24.04+vrelease+git20250714.0531

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20250714.0531-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 14 Jul 2025 05:31:54 +0000

distro-release-notifier (0.0-0neon) unstable; urgency=medium

  * Initial package

 -- Jonathan Riddell <jr@jriddell.org>  Fri, 07 Apr 2017 17:24:22 +0100

## distro-release-notifier 20240919+p24.04+vrelease+git20250717.0019

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20250717.0019-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 17 Jul 2025 00:19:38 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20250807.0023

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20250807.0023-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 07 Aug 2025 00:23:18 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20250909.0632

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20250909.0632-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:32:22 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20251128.0033

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2018 Jonathan Riddell <jr@jriddell.org>
# SPDX-FileCopyrightText: 2018 Rik Mills <rikmills@kubuntu.org>
# SPDX-FileCopyrightText: 2018-2020 Harald Sitter <sitter@kde.org>

cmake_minimum_required(VERSION 3.5)

project(distroreleasenotifier)

set(QT_MIN_VERSION "6.2.0")
set(KF6_MIN_VERSION "6.2.0")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    NetworkManagerQt
    Notifications
    WidgetsAddons
    DBusAddons
    KIO
    StatusNotifierItem
)

# update flavor is derived from the installed metapackage(s) by pkg.split('-')[-1].captialize
# it is therefore less accurate and good looking than /etc/os-release
option(NAME_FROM_FLAVOR
    "Get distro name from update flavor [default is from /etc/os-release]"
    OFF)
option(INSTALL_PREVIEW_UPGRADE
    "Whether to install a tiny helper binary to make pre-release upgrades more accessible. Also set PREVIEW_UPGRADE_NAME."
    OFF)

set(PREVIEW_UPGRADE_NAME "distro-preview-upgrade"
    CACHE STRING "Name to install the upgrade preview helper as.")

add_subdirectory(src)

install(FILES releasechecker DESTINATION ${KDE_INSTALL_DATADIR}/distro-release-notifier
        PERMISSIONS
        OWNER_EXECUTE OWNER_READ OWNER_WRITE
        GROUP_EXECUTE GROUP_READ
        WORLD_EXECUTE WORLD_READ
)

# Make it possible to use the po files fetched by the fetch-translations step
ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20251128.0033-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 00:33:15 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20251130.0031

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20251130.0031-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 00:31:49 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20260102.0029

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20260102.0029-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 00:29:13 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20260103.0040

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20260103.0040-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:40:34 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20260116.0130

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20260116.0130-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 01:30:53 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20260118.0054

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20260118.0054-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 00:54:18 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20260119.0149

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20260119.0149-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 19 Jan 2026 01:49:25 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20260121.2344

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20260121.2344-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 21 Jan 2026 23:44:05 +0000

## distro-release-notifier 20240919+p24.04+vrelease+git20260130.0729

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vrelease+git20260130.0729-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 07:29:26 +0000

## distro-release-notifier 20240919+p24.04+vstable+git20250914.1611

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vstable+git20250914.1611-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 16:11:38 +0000

=== debian/control ===
Source: distro-release-notifier
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-networkmanager-qt-dev,
               pkg-kde-tools-neon,
               qt6-base
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/system/distro-release-notifier
Vcs-Git: https://invent.kde.org/neon/neon-packaging/distro-release-notifier.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/distro-release-notifier
Maintainer: Neon CI <neon@kde.org>

Package: distro-release-notifier
Architecture: any
Depends: python3,
         python3-update-manager,
         qt6-tools,
         ubuntu-release-upgrader-qt,
         update-notifier-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Notification of new distro releases
 Notify and run the updater for new releases of Ubuntu

Package: plasma-distro-release-notifier
Architecture: any
Depends: distro-release-notifier
Description: Transitional Dummy
 Empty package to override Kubuntu's notifier

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_PREVIEW_UPGRADE=ON -DPREVIEW_UPGRADE_NAME=neon-preview-upgrade

## distro-release-notifier 20240919+p24.04+vstable+git20251028.0959

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vstable+git20251028.0959-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:59:33 +0000

## distro-release-notifier 20240919+p24.04+vstable+git20260103.0401

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vstable+git20260103.0401-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:01:54 +0000

## distro-release-notifier 20240919+p24.04+vstable+git20260120.0359

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vstable+git20260120.0359-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 03:59:31 +0000

## distro-release-notifier 20240919+p24.04+vstable+git20260130.1031

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vstable+git20260130.1031-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:31:42 +0000

## distro-release-notifier 20240919+p24.04+vunstable+git20260123.0513

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vunstable+git20260123.0513-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 05:13:33 +0000

## distro-release-notifier 20240919+p24.04+vunstable+git20260201.0758

=== debian/changelog ===
distro-release-notifier (20240919+p24.04+vunstable+git20260201.0758-0) noble; urgency=medium

  [ Jonathan Riddell ]
  * KF6 Port

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:58:15 +0000
